Skip to main content
POST
/
api
/
projects
/
{projectId}
/
integrations
Create integration
curl --request POST \
  --url https://api.example.com/api/projects/{projectId}/integrations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "type": "http",
  "kind": "<string>",
  "config": {
    "url": "<string>",
    "timeout": 5000,
    "output": "<string>",
    "headers": [],
    "cookies": [],
    "enableInputs": false,
    "inputs": []
  },
  "description": "<string>",
  "group": "<string>"
}
'
import requests

url = "https://api.example.com/api/projects/{projectId}/integrations"

payload = {
"name": "<string>",
"type": "http",
"kind": "<string>",
"config": {
"url": "<string>",
"timeout": 5000,
"output": "<string>",
"headers": [],
"cookies": [],
"enableInputs": False,
"inputs": []
},
"description": "<string>",
"group": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
type: 'http',
kind: '<string>',
config: {
url: '<string>',
timeout: 5000,
output: '<string>',
headers: [],
cookies: [],
enableInputs: false,
inputs: []
},
description: '<string>',
group: '<string>'
})
};

fetch('https://api.example.com/api/projects/{projectId}/integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "type": "http",
  "config": {
    "url": "<string>",
    "timeout": 5000,
    "headers": [],
    "cookies": [],
    "enableInputs": false,
    "inputs": [],
    "output": "<string>"
  },
  "name": "<string>",
  "kind": "<string>",
  "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "description": "<string>",
  "group": "<string>",
  "deletedAt": "<string>"
}

Authorizations

Authorization
string
header
required

Personal access token is obtained through your profile

Path Parameters

projectId
string<uuid>
required

Project ID

Body

application/json
name
string
required

Name of the integration

type
enum<string>
required

Type of integration

Available options:
http
kind
string
required

Unique kind identifier (lowercase, alphanumeric with dots and underscores)

Pattern: ^[a-z][a-z0-9_.]*$
config
object
required

HTTP integration configuration

description
string | null

Description of the integration

group
string | null

Group the integration belongs to

Response

200 - application/json

Created integration

Created integration

id
string<uuid>
required

Unique identifier of the integration

type
enum<string>
required

Type of integration

Available options:
http
config
object
required

Integration configuration

name
string
required

Name of the integration

kind
string
required

Unique kind identifier for the integration

projectId
string<uuid>
required

Project ID the integration belongs to

createdAt
string
required

Timestamp when the integration was created

updatedAt
string
required

Timestamp when the integration was last updated

description
string | null

Description of the integration

group
string | null

Group the integration belongs to

deletedAt
string | null

Timestamp when the integration was deleted